1. For OTA Hotels
Swoovo — OTA Pull Endpoint
  • For OTA Hotels
    • List hotels (paginated)
      GET
  • Push Rooms
    • Push rooms (async)
      POST
  • Push Inventory
    • Push inventory (async)
      POST
  • Push Rates
    • Push rates (async)
      POST
  • Push Overrides Price & Inventory
    • Push inventory overrides (async)
      POST
    • Push pricing overrides (async)
      POST
  • Mapped Properties
    • List mapped properties
      POST
  • Jobs
    • Get room push job status
      GET
    • Get inventory push job status
      GET
    • Get rates push job status
      GET
    • Get override job status
      GET
  • Schemas
    • HotelListResponse
    • ErrorResponse
    • Hotel
    • AsyncJobAcceptedResponse
    • HotelImage
    • PushRoomsRequest
    • RoomData
    • RoomImage
    • BaseInventoryEmbed
    • RoomRateEmbed
    • ChildPricingRules
    • ChildPricingThreshold
    • PushInventoryRequest
    • BaseInventoryItem
    • InventoryOverrideItem
    • PushRatesRequest
    • RoomRateInput
    • PushInventoryOverridesRequest
    • InventoryOverrideRequest
    • PushPricingRulesRequest
    • PricingRuleRequest
    • JobStatusResponse
    • JobStatusData
    • RoomJobStatusResponse
    • RoomJobStatusData
    • InventoryJobStatusResponse
    • InventoryJobStatusData
    • RatesJobStatusResponse
    • RatesJobStatusData
    • MappedPropertiesResponse
    • MappedProperty
  1. For OTA Hotels

List hotels (paginated)

GET
/api/hotels
You build this endpoint. Swoovo calls it.
Return a paginated list of hotels from your system.
Swoovo polls this endpoint to keep your property catalog
synced. The endpoint must:
Accept limit and offset query params
Validate the x-api-key header
Return JSON in the exact shape below

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
Query Params

Header Params

Responses

🟢200
application/json
Hotels retrieved successfully
Bodyapplication/json

🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/hotels?limit=undefined&offset=undefined' \
--header 'x-api-key;' \
--header 'X-API-Key: <api-key>'
Response Response Example
200 - Success
{
    "status": true,
    "message": "Hotels retrieved successfully",
    "data": {
        "list": [
            {
                "ota_property_id": "HOTEL12345",
                "hotel_name": "Grand Plaza Hotel",
                "star_rating": 4.5,
                "property_type": "HOTEL",
                "checkin": "14:00",
                "checkout": "11:00",
                "description": "Luxury hotel in downtown with pool and spa",
                "currency": "USD",
                "phone": "+1-555-123-4567",
                "email": "reservations@grandplaza.com",
                "established_date": "1998-05-15",
                "street": "123 Main Street",
                "city": "New York",
                "state": "NY",
                "country": "USA",
                "pin_code": "10001",
                "latitude": 40.7128,
                "longitude": -74.006,
                "time_zone": "America/New_York",
                "hotel_images": [
                    {
                        "url": "https://your-cdn.com/hotel123/exterior.jpg",
                        "subtitle": "Hotel exterior view"
                    },
                    {
                        "url": "https://your-cdn.com/hotel123/lobby.jpg",
                        "subtitle": "Main lobby"
                    }
                ]
            }
        ],
        "limit": 50,
        "offset": 0,
        "total": 250
    }
}
Modified at 2026-11-12 09:12:09
Next
Push rooms (async)
Built with